function [gottone,octave,interpret,possible] = getoctave(center,osigma,testtone)

step = .1;              % steps of 10 cent
fullrange = 24:step:96; % C1...C7 in fine steps
telloctave = 36:84;     % C2...C6 in semitones
tellrange = ismember(fullrange,telloctave);

testtone = mod(testtone,12);
possible = find(mod(telloctave,12) == testtone);

distance = abs (fullrange-center);

inside = distance <  6-step/2;
insideplus = distance < 6+step/2;
attractor = (insideplus + inside) / 2;

osigma = max(osigma,0.05);
out = 4*osigma;
x = -out:step:out;
kernel = normpdf(x,0,osigma);
kernel = kernel / sum(kernel);

attractor = conv(attractor,kernel,'same');

octave = attractor(tellrange);
interpret = octave(possible);
suminter = sum(interpret);
if suminter ~= 1
    if abs(1-suminter) > 0.1
        fprintf('center: %f, testtone: %f, missing: %f\n',center,testtone,1-suminter);
    end
    interpret = interpret / suminter;
end
limits = cumsum(interpret);
r = rand;
lowar = r<limits;
myinter = find(lowar,1,'first');

gottone = telloctave(possible(myinter));