function logli = loglike(param)

% returs negative logarthim of likelihood

global up total calls ll_array

%     sigma  center  osigma  gamma  lapses  bias  nkbias
lb = [0,     60,     0.0,    0.0,   0.0,    0.0,  0.0];
ub = [5,     72,     5.0,    1.0,   1.0,    1.0,  1.0];

esigma = param(1);  esigma = max(min(esigma, ub(1)),lb(1));
center = param(2);  center = max(min(center, ub(2)),lb(2));
osigma = param(3);  osigma = max(min(osigma, ub(3)),lb(3));
gamma  = param(4);  gamma = max(min(gamma,   ub(4)),lb(4));
lapses = param(5);  lapses = max(min(lapses, ub(5)),lb(5));
bias   = param(6);  bias = max(min(bias,     ub(6)),lb(6));
nkbias = param(7);  nkbias = max(min(nkbias, ub(7)),lb(7));


%N = 10000;
%mdata = octave_data(N,sigma,center,osigma,gamma,lapses,bias,nkbias);

mdata = octave_pdata(esigma,center,osigma,gamma,lapses,bias,nkbias);

tono = length(mdata);

logli = 0;
for S1=1:tono
    for S2=1:tono
        if S2==S1
            continue
        end
        t = total(S1,S2);
        u = up(S1,S2);
        d = t-u;
        p = mdata(S1,S2);
        logli = logli - u*log(p) - d*log(1-p);
    end
end
calls = calls + 1;
ll_array(calls) = logli;
llvar = std(ll_array(max(1,end-10):end));
fprintf('%d (%.2f s): LL = %.3f +- %.3f, P = ',calls,toc,logli,llvar)
fprintf('%.4f ',param)
fprintf('\n')
