function uprate = octave_pdata(esigma,center,osigma,gamma,lapses,bias,notknownbias)

tono = 12;

esigmamax = 2;
esigmarange = -esigmamax:+esigmamax;
esigmakernel = normpdf(esigmarange,0,esigma);
esksum = sum(esigmakernel);
esigmakernel = esigmakernel / esksum;
esno = length(esigmakernel);

uprate = zeros(tono,tono);
for s1=1:tono
    for es1=1:esno
        ts1 = s1 + esigmarange(es1);
        ps1 = esigmakernel(es1);
        [~,~,interpret1,poss1] = getoctave(center,osigma,ts1);
        leni1 = length(interpret1);
        for lo1 = 1:leni1
            oct1 = 36 + poss1(lo1) - 1;
            poct1 = interpret1(lo1);
            eccenter = oct1-center;
            newcenter = center + gamma * eccenter;
            for s2=1:tono
                if s2==s1
                    continue
                end
                for es2=1:esno
                    ts2 = s2 + esigmarange(es2);
                    ps2 = esigmakernel(es2);
                    [~,~,interpret2,poss2] = getoctave(newcenter,osigma,ts2);
                    leni2 = length(interpret2);
                    for lo2 = 1:leni2
                        oct2 = 36 + poss2(lo2) - 1;
                        poct2 = interpret2(lo2);
                        uprate(s2,s1) = uprate(s2,s1) + ...
                            addtodata(oct1,oct2,ps1,ps2,poct1,poct2,lapses,bias,notknownbias);
                    end
                end
            end
        end
    end
end

function padd = addtodata(oct1,oct2,ps1,ps2,poct1,poct2,lapses,bias,notknownbias)
p_to_be_here = ps1*ps2*poct1*poct2;
if oct2>oct1
    pshouldadd = p_to_be_here * 1;
elseif oct2==oct1
    pshouldadd = p_to_be_here * notknownbias;
else
    pshouldadd = p_to_be_here * 0;
end
padd = (1-lapses)*pshouldadd + p_to_be_here * lapses * bias;
